#ifndef MODBOXCONF_H
#define MODBOXCONF_H

/* Project Specific Includes */
#include "main.h"

#include <qtabdialog.h>
#include <qlayout.h>

class modBoxConf : public QTabDialog
{
private:
	 Q_OBJECT
	 QCheckBox *filtro;
	 QLabel *labelfrec;
	 QComboBox *frecuencia;
	 QLabel *labeldir;
	 QLineEdit *directorio;
	 QCheckBox *stereo;
	 QLabel *label_s_s;
	 QLabel *label_ssl;
	 QLabel *label_ssh;
	 QSlider *reverb;
	 QCheckBox *bits16;
         QCheckBox *repetir;
         QCheckBox *reverse_stereo;
         QCheckBox *surround;
	 QLabel *label_sep;
	 QLabel *label_sepl;
	 QLabel *label_seph;
	 QSlider *separation;

         QWidget *sound();
         QWidget *general();
public:
	 modBoxConf(QWidget *parent=0, char *name=0);
	 void iniciar_displays();
	 KConfig *kde_config;
protected:
   signals:
         void conf_cambiada();
   public slots:
	 void guardar_config();
         void te_doy_conf();
};
#endif
